Add guidance to a browser workflow recording
curl --request POST \
--url 'https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/workflow-recordings/{domainKey}/{recordingId}/commentary?token=' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"notes": [
{
"t": 1,
"text": "<string>",
"id": "<string>"
}
]
}
'import requests
url = "https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/workflow-recordings/{domainKey}/{recordingId}/commentary?token="
payload = {
"text": "<string>",
"notes": [
{
"t": 1,
"text": "<string>",
"id": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', notes: [{t: 1, text: '<string>', id: '<string>'}]})
};
fetch('https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/workflow-recordings/{domainKey}/{recordingId}/commentary?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Computer Agents
Add guidance to a browser workflow recording
Adds written guidance and structured notes to a finalized browser workflow recording.
POST
/
api
/
v2
/
computer
/
accounts
/
{targetAccountId}
/
workflow-recordings
/
{domainKey}
/
{recordingId}
/
commentary
Add guidance to a browser workflow recording
Authorizations
Vida API Token
Path Parameters
Body
application/json
Overall workflow intent, constraints, and expected outcome.
Guidance tied to exact moments in the recording timeline.
Show child attributes
Show child attributes
Response
200
Successful response
⌘I